<?php
/**
 * 2017 LiveChat
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Creative Commons License
 * This work is licensed under a Creative Commons Attribution 4.0 International License.
 *  @author	Michal Paszowski, LiveChat Inc. <support@livechatinc.com
 *  @copyright 2017 LiveChat Inc.
 *  @license   http://creativecommons.org/licenses/by/4.0/   Creative Commons Attribution 4.0 International License.
 */

class AdminLivechatController extends ModuleAdminController
{
	public function ajaxProcessSetLicenseInformation()
	{
		$livechat_login = (string)Tools::getValue('email');
		$license = (string)Tools::getValue('license');
  
		Configuration::updateValue('livechat_licence', $license);
		Configuration::updateValue('livechat_login', $livechat_login);
		
		header("Content-type:application/json");
		die(
			json_encode(
				array(
					'success' => true,
					'login' => $livechat_login,
					'license' => $license
				)
			)
		);
	}

	public function ajaxProcessSaveCartSettings()
	{
		$cart_switch_onoff = json_decode(Tools::getValue('cart_switch_onoff'));
		$hide_on_mobile = json_decode(Tools::getValue('hide_on_mobile'));
		$cart_intervals = json_decode(Tools::getValue('cart_intervals'));

		if ($cart_switch_onoff === 0) {
			$timing = 0;
		} else {
			switch ($cart_intervals) {
				case "30000":
					$timing = 30000;
					break;
				default:
					$timing = 10000;
					break;
			}
		}

		Configuration::updateValue('livechat_cart', $timing);
		Configuration::updateValue('livechat_hide_on_mobile', $hide_on_mobile);
		
		header("Content-type:application/json");
		die(
			json_encode(
				array(
					'success' => true
				)
			)
		);
	}
	
	public function ajaxProcessResetSettings()
	{
		Configuration::updateValue('livechat_licence', "");
		Configuration::updateValue('livechat_login', "");
		Configuration::updateValue('livechat_cart', "10000");
		Configuration::updateValue('livechat_hide_on_mobile', "0");
		
		header("Content-type:application/json");
		die(
			json_encode(
				array(
					'success' => true
				)
			)
		);
	}
}
