<?php
/**
 * 2017 LiveChat
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Creative Commons License
 * This work is licensed under a Creative Commons Attribution 4.0 International License.
 *  @author    Michal Paszowski, LiveChat Inc. <support@livechatinc.com
 *  @copyright 2017 LiveChat Inc.
 *  @license   http://creativecommons.org/licenses/by/4.0/   Creative Commons Attribution 4.0 International License.
 */

require_once _PS_MODULE_DIR_ . 'livechat/livechat.php';

class LivechatcartAjaxModuleFrontController extends ModuleFrontController
{

	public function initContent()
	{
		if (Tools::isSubmit('action'))
		{
			$context = Context::getContext();
			$cart = $context->cart;
			$currency = new CurrencyCore($context->cookie->id_currency);
			$currency_iso_code = $currency->iso_code;
			$response = array("message" => "empty");

			switch (Tools::getValue('action'))
			{
				case 'get_cart': $products = array();
					foreach ($cart->getProducts(true) as $product)
					{
						array_push($products, array($product['name'], $product['cart_quantity'],
							$this->context->link->getProductLink($product)));
					}
					$response = array("products" => $products, "value" => $cart->getOrderTotal(true) . ' ' . $currency_iso_code);
					break;
				default:
					break;
			}
		}
		header("Expires: Mon, 26 Jul 1990 05:00:00 GMT");
		header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
		header("Cache-Control: no-store, no-cache, must-revalidate");
		header("Cache-Control: post-check=0, pre-check=0", false);
		header("Pragma: no-cache");
		header('Content-Type: application/json');
		$json = Tools::jsonEncode($response);
		echo $json;
		die;
	}

}
