{**
* 2017 LiveChat
*
* NOTICE OF LICENSE
*
* This source file is subject to the Creative Commons License
* This work is licensed under a Creative Commons Attribution 4.0 International License.
*  @author    Michal Paszowski, LiveChat Inc. <support@livechatinc.com
*  @copyright 2017 LiveChat Inc.
*  @license   http://creativecommons.org/licenses/by/4.0/   Creative Commons Attribution 4.0 International License. 
*}
{literal}
<link rel="stylesheet" type="text/css" href="../modules/livechat/views/css/admin.css?{/literal}{$livechat_version|floatval}{literal}?>">
<script>
	function showAlert(text_to_put_in_the_box, alert) {
		if(alert===true){
			$('#livechat_alerts').removeClass("alert-success");
			$('#livechat_alerts').addClass("alert-danger");
		}

		$('#livechat_alerts').text(text_to_put_in_the_box);
		$('#livechat_alerts').show();

		setTimeout(function () {
			$('#livechat_alerts').addClass("fadeout");
		},5000);

		setTimeout(function () {
			$('#livechat_alerts').hide();
			$('#livechat_alerts').removeClass("fadeout");
			$('#livechat_alerts').addClass("alert-success");
			$('#livechat_alerts').removeClass("alert-danger");
		},5000);
	}
	
	function addHandlerToRadioCart(radios, i) {
		radios[i].addEventListener("click", function() {		
			if(radios[i].value==="0"){
				document.getElementById("cart_radios").style.display = "none";
			}else if(radios[i].value === "on") {
				document.getElementById("cart_radios").style.display = "block";		
			}
		});
	}
	
	$(document).ready(function() {
	
		$('#login_email').text('{/literal}{$login}{literal}');
	
		var login_with_livechat = document.getElementById('login-with-livechat');
			
		var sendMessage = function(msg) {
			login_with_livechat.contentWindow.postMessage(msg, '*');
		};
	
		var logoutLiveChat = function() {
			sendMessage('logout');
		};
	
		function receiveMessage(event) {
			var livechatMessage = JSON.parse(event.data);
	
			if (livechatMessage.type === 'logged-in' && livechatMessage.eventTrigger === 'click') {
				$('iframe#login-with-livechat').addClass('hidden');
				$('.progress-button').removeClass('hidden');
				setTimeout(function(){
					$.ajax({
						type: 'POST',
						dataType: 'json',
						url: 'ajax-tab.php',
						data: {
							//required parameters
							ajax: true,
							controller: 'AdminLivechat',
							action: 'SetLicenseInformation',
							token: '{/literal}{$token}{literal}',
							email: livechatMessage.email,
							license: livechatMessage.license
						},
					})
					.done(function(data) {
						showAlert("LiveChat added to your website");
	
						$('#after_login_bar').removeClass("hidden");
						$('#before_login_bar').addClass("hidden");
						$('iframe#login-with-livechat').removeClass('hidden');
						$('.progress-button').addClass('hidden');
						$('#login_email').text(livechatMessage.email);
					})
					.fail(function(data) {
						document.getElementsByClassName('alert-success')[0].style.display = "block";
					});					
				},1500);
								
			}
		}
	
		window.addEventListener("message", receiveMessage, false);
	
		var radiosCart = document.getElementsByName("cart_switch");
		var cartSwitch= document.getElementsByName("cart_switch_onoff");
		
		for (var i = 0, length = radiosCart.length; i < length; i++) {
			addHandlerToRadioCart(radiosCart, i);
		}
		
		for (var i = 0, length = cartSwitch.length; i < length; i++) {
			addHandlerToRadioCart(cartSwitch, i);
		}
		
		if("{/literal}{$livechat_cart}{literal}" == "0") {						
			document.getElementById("cart_radios").style.display = "none";
		} else {
			document.getElementById("cart_radios").style.display = "block";
		}
		
		var livechatLogin = "{/literal}{$login}{literal}"; 	
		
		if(livechatLogin === "" || livechatLogin === null) {
			document.getElementById('login-with-livechat').classList.remove("hidden");
			document.getElementById("login_form").classList.remove("hidden");	
			document.getElementById("after_login_bar").classList.add("hidden");
			document.getElementById("before_login_bar").classList.remove("hidden");
			} else {
			document.getElementById('login-with-livechat').classList.add("hidden");
			document.getElementById("login_form").classList.add("hidden");	
			document.getElementById("after_login_bar").classList.remove("hidden");
			document.getElementById("before_login_bar").classList.add("hidden");
		}
		
		$("input[name='save_cart_settings']").on('click', function(e)
		{
			e.preventDefault();
			var cartProps = [];

			cartProps["cart_switch_onoff"] = $("input[name='cart_switch_onoff']:checked").val();
			cartProps["hide_on_mobile"] = $("input[name='hide_on_mobile']:checked").val();
			cartProps["cart_intervals"] = $("select[name='cart_switch'] option:selected" ).val();

			$.ajax({
				type : 'POST',
				dataType : 'json',
				url : 'ajax-tab.php',
				data : {
					//required parameters
					ajax : true,
					controller : 'AdminLivechat',
					action : 'SaveCartSettings',
					token : '{/literal}{$token}{literal}',
					cart_switch_onoff : cartProps["cart_switch_onoff"],
					hide_on_mobile : cartProps["hide_on_mobile"],
					cart_intervals : cartProps["cart_intervals"],

				}
			}).done(function(){
				showAlert("Cart settings changed");
			});
		});
		
		$("input[name='delete_settings']").on('click', function(e)
		{
			e.preventDefault();
	
			$.ajax({
				type : 'POST',
				dataType : 'json',
				url : 'ajax-tab.php',
				data : {
					//required parameters
					ajax : true,
					controller : 'AdminLivechat',
					action : 'ResetSettings',
					token : '{/literal}{$token}{literal}'
	
				},
			})
			.done(function(data){
				if(data.success === true){	
					$('#before_login_bar').removeClass("hidden");
					$('#login-with-livechat').removeClass("hidden");
					$('#radios').removeClass("hidden");
					$('#login_form').removeClass("hidden");
					$('#after_login_bar').addClass("hidden");
					showAlert("LiveChat settings has been reset");
					logoutLiveChat();
				}
			});
		});
	});
</script>
<style>
</style>
<div id="livechat_alerts" class="alert alert-success" style="display: none;"></div>
<div id="module_block_settings" class="panel">
	<fieldset id="fieldset_module_block_settings">
		<h3 ><i class="icon-wrench"></i> Settings </h3>
		<div class="form-wrapper">
			<div class="form-group">
				<div id="before_login_bar">
					<div style="display:flex; justify-content: space-around;">
						<div>
							<div style="display: flex; flex-direction: column; align-items: center; margin-bottom: 40px;">
								<div style="display: flex; flex-direction: row; align-items: center;">
									<div class="livechat_logo2"></div>
								</div>
								<div id="login_form">
									<div class="progress-button hidden">
										Saving...
									</div>
									<div>				
										<iframe id="login-with-livechat" src="https://addons.livechatinc.com/sign-in-with-livechat"> </iframe>
									</div>
								</div>
								<div class="or-delimiter">or</div>
								<div id="livechat_link" style="font-size: 15px; margin-top:4px;">
									<a href="https://my.livechatinc.com/signup?utm_source=prestashop.com&utm_medium=integration&utm_campaign=prestashop_integration" target="_blank">create an account</a>
								</div>
							</div>
						</div>
						<div style="text-align: center;">
							<div class="livechat_screenshot"></div>
							<p style="font-size:16px;">Check out our apps for <a href="https://www.livechatinc.com/applications/" target="_blank">desktop or mobile!</a></p>
						</div>
					</div>
				</div>
				<div id="after_login_bar" class="hidden" style="float:left;">
					<div class="all-in-one-place contain">
					<div class="form-wrapper">
						<div class="row">
							
							<div class="col-xs-12" style="font-size: medium; line-height: 1.6em;">
								<span style="text-align: right; font-size: medium; margin-top: 5px;">Currently you are using your </span><span style="font-size: medium;"><strong><span id="login_email"></span></strong> LiveChat account.</span>
							</div>
							<br />
							<br />
							
							<div class="col-xs-12">
								
							</div>
						</div>
						<br />
						<br />
						<div class="form-group">
							<div id="cart_control row">
								<div class="form-group row">
									<div>
										
										<div class="col-xs-12">
											<label class="control-label">Track your customer's cart:  </label>
											<span class="switch prestashop-switch fixed-width-lg">
											<input onchange="document.getElementById('save_cart_settings').click();" type="radio" name="cart_switch_onoff" id="cart_switch_on" {/literal}{if $livechat_cart==="10000"}checked{/if}{literal}>
											<label for="cart_switch_on" class="radioCheck">Yes</label>
											<input onchange="document.getElementById('save_cart_settings').click();" type="radio" name="cart_switch_onoff" id="cart_switch_off" value="0" {/literal}{if $livechat_cart==="0"}checked{/if}{literal}>
											<label for="cart_switch_off" class="radioCheck">No</label>
											<a class="slide-button btn"></a>
											</span>
											<p class="help-block">
												See the products and the total value of your customer's cart <span data-tooltip="Cart's details will bevisible during a chat, in your LiveChat application." data-tooltip-position="top"><span class="question_mark"></span></span>
											</p>
										</div>
										<div id="cart_radios">
												
											<div class="col-xs-12">
												<select class="cart_switch" name="cart_switch" onchange="document.getElementById('save_cart_settings').click();">
												<option id="one" value="10000" {/literal}{if $livechat_cart==="10000"}selected{/if}{literal}> I want to track it every 10 seconds</option>
												<option id="two" value="30000" {/literal}{if $livechat_cart==="30000"}selected{/if}{literal}> I want to track it every 30 seconds</option>
												</select>
												<br />
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class="form-group row">
							<div style="height:30px; line-height:30px;">
								
								<div class="col-xs-12">
									<label class="control-label">Hide chat window on mobile:</label>
									<span class="switch prestashop-switch fixed-width-lg">
									<input onchange="document.getElementById('save_cart_settings').click();" type="radio" name="hide_on_mobile" id="hide_on_mobile_on" value="1" {/literal}{if $livechat_hide_on_mobile == "1"}checked{/if}{literal}>
									<label for="hide_on_mobile_on">Yes</label>
									<input onchange="document.getElementById('save_cart_settings').click();" type="radio" name="hide_on_mobile" id="hide_on_mobile_off" value="0" {/literal}{if $livechat_hide_on_mobile == "0"}checked{/if}{literal}>
									<label for="hide_on_mobile_off">No</label>
									<a class="slide-button btn"></a>
									</span>
									<p class="help-block">
										Hide chat window for the mobile version of your website <a data-tooltip="Click here to read more about this option" data-tooltip-position="top" href="https://docs.livechatinc.com/js-api/#hide-the-chat-window" target="_blank"><span class="question_mark"></span></a>
									</p>
								</div>
							</div>
						</div>
					</div>
					<div class="row">				
						<div class="form-wrapper">
							<div style="text-align: center;">
								<div class="livechat_screenshot"></div>
								<p style="font-size:14px;">
								<a href="https://my.livechatinc.com?utm_source=prestashop.com&amp;utm_medium=integration&amp;utm_campaign=prestashop_integration" target="_blank">
									Use our WebApp</a> or check out our apps for <a href="https://www.livechatinc.com/applications/" target="_blank">desktop or mobile!</a></p>
							</div>
						</div>
					</div>
					</div>
					<br />
					
					<div id="reset_settings">
						<div class="form-group">
							<div style="height:30px; line-height:30px;"  class="col-xs-12">
								<label style="text-align:right; margin-top: 2px;">		
								If you would like to change LiveChat account you can 
								</label>
								<span>
								<input id="reset" type="submit" name="delete_settings" value="reset settings." />
								</span>
							</div>
						</div>
					</div>
					<input id="save_cart_settings" type="submit" name="save_cart_settings" value="Save cart settings" class="button btn btn-default hidden" />
				</div>
			</div>
			</form>
		</div>
</div>
</fieldset>
</div>
{/literal}